### Method

# WebKit2 CookieManager get_accept_policy

#### Declaration [src]

    void
    webkit_cookie_manager_get_accept_policy (
      WebKitCookieManager* cookie_manager,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously get the cookie acceptance policy of `cookie_manager`.

Note that when policy was set to `WEBKIT_COOKIE_POLICY_ACCEPT_NO_THIRD_PARTY` and ITP is enabled, this will return `WEBKIT_COOKIE_POLICY_ACCEPT_ALWAYS`. See also webkit_website_data_manager_set_itp_enabled().

When the operation is finished, `callback` will be called. You can then call `webkit_cookie_manager_get_accept_policy_finish()` to get the result of the operation.

#### Parameters

`cancellable` | `GCancellable`
| A `GCancellable` or `NULL` to ignore.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` to call when the request is satisfied.
| The argument can be `NULL`.
`user_data` | `gpointer`
| The data to pass to callback function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.